import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 上传单个文件
export function uploadSingle(data) {
  return request({
    url: `${baseURL}/file/upload/single`,
    method: 'post',
    data
  })
}

// 上传水印文件
export function imageWithWatermark(data) {
  return request({
    url: `${baseURL}/file/upload/imageWithWatermark`,
    method: 'post',
    data
  })
}

// 获取单个文件数据
export function downloadSingle(data) {
  return request({
    url: `${baseURL}/file/download/single`,
    method: 'post',
    data
  })
}
// 删除单个文件
export function deleteSingle(data) {
  return request({
    url: `${baseURL}/file/delete/single`,
    method: 'post',
    data
  })
}
// 身份证正面识别
export function ocrIdCardFront(data) {
  return request({
    url: `${baseURL}/file/ocr/idcard/front`,
    method: 'post',
    data
  })
}
